Bug 497443 - I can not install latest Adobe flash player on Fedora 10. It gives me these errors.
I can not install latest Adobe flash player on Fedora 10. It gives me these e...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-23 17:52 EDT by austinmaeda
Modified: 2014-01-21 18:09 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-03 05:15:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This is the screen shot of the error I get. (84.24 KB, image/jpeg)
2009-04-24 01:59 EDT, austinmaeda
no flags Details

  None (edit)
Description austinmaeda 2009-04-23 17:52:27 EDT
Description of problem: I can not install latest Adobe flash player on Fedora 10. It gives me these errors.

Error Type: <type 'exceptions.UnicodeDecodeError'>
Error Value: 'ascii' codec can't decode byte 0xe3 in position 69: ordinal not in range(128)
  File : /usr/lib/python2.5/site-packages/yum/rpmtrans.py, line 376, in callback
    self._instProgress( bytes, total, h )
  File : /usr/lib/python2.5/site-packages/yum/rpmtrans.py, line 457, in _instProgress
    self.complete_actions, self.total_actions)
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 2187, in event
    self._showName(self.info_actions[action])
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 2180, in _showName
    self.base.package(package_id, status, self.curpkg.summary)
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 230, in package
    PackageKitBaseBackend.package(self, package_id, status, summary)
  File : /usr/lib/python2.5/site-packages/packagekit/backend.py, line 109, in package
    print >> sys.stdout, "package\t$s\t$s\t$s" $ (status, package_id, summary)



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Akira TAGOH 2009-04-23 20:46:48 EDT
Can you explain more how did you try to install the package? and can you reproduce it with other packages that way?

If it's not a package-specific issue, this might be a bug in PackageKit or yum. otherwise in that package. which isn't shipped in Fedora.
Comment 2 austinmaeda 2009-04-24 01:59:17 EDT
Created attachment 341089 [details]
This is the screen shot of the error I get.
Comment 3 austinmaeda 2009-04-24 02:02:32 EDT
Yes I can reproduce the problem.

I downloaded the RPM package flash-plugin-10.0.22.87-release.i386.rpm
from the Adobe web site, then double clicked this file to install, then I always get this error.

Error Type: <type 'exceptions.UnicodeDecodeError'>
Error Value: 'ascii' codec can't decode byte 0xe3 in position 69: ordinal not in range(128)
  File : /usr/lib/python2.5/site-packages/yum/rpmtrans.py, line 376, in callback
    self._instProgress( bytes, total, h )
  File : /usr/lib/python2.5/site-packages/yum/rpmtrans.py, line 457, in _instProgress
    self.complete_actions, self.total_actions)
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 2187, in event
    self._showName(self.info_actions[action])
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 2180, in _showName
    self.base.package(package_id, status, self.curpkg.summary)
  File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 230, in package
    PackageKitBaseBackend.package(self, package_id, status, summary)
  File : /usr/lib/python2.5/site-packages/packagekit/backend.py, line 109, in package
    print >> sys.stdout, "package\t$s\t$s\t$s" $ (status, package_id, summary)

I will attach the screen shot in Jpeg file.

Thank you.
Comment 4 Akira TAGOH 2009-04-24 05:14:11 EDT
Reassigning to yum so far.
Comment 5 Richard Hughes 2009-04-24 11:09:37 EDT
Ahh, we've fixed a similar bug in F11 -- any chance you could try the f11-beta live CD and see if the problem is fixed there? If it is, then I can backport fix. Thanks.
Comment 6 austinmaeda 2009-04-26 23:27:46 EDT
I will wait for F11 then install them. It will be out soon in May right?

Thanks.

Austin
Comment 7 TK009 2009-04-29 02:11:36 EDT
I just tried this in F11 with using the steps described by austin and received no errors, installed successfully. Same version of flash 'flash-plugin-10.0.22.87-release.i386.rpm'.

PackageKit-0.4.6-8.fc11.i586

Based on Richard's comment, I am assigning.

TK009

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.